## weiight 0.0.1-2

=== Makefile ===
#############################################################################
# Makefile for building: weiight
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Mar 27 16:45:12 2010
# Project:  weiight.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -after  QMAKE_CXXFLAGS_RELEASE\ =\  QMAKE_POST_LINK\ ~=\ s/strip/: -o Makefile weiight.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/alvaro/weiight/src/src.pro -unix -after  QMAKE_CXXFLAGS_RELEASE\ =\  QMAKE_POST_LINK\ ~=\ s/strip/: -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/alvaro/weiight/src/src.pro -unix -after  QMAKE_CXXFLAGS_RELEASE\ =\  QMAKE_POST_LINK\ ~=\ s/strip/: -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: weiight.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -after  QMAKE_CXXFLAGS_RELEASE\ =\  QMAKE_POST_LINK\ ~=\ s/strip/: -o Makefile weiight.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -after  QMAKE_CXXFLAGS_RELEASE\ =\  QMAKE_POST_LINK\ ~=\ s/strip/: -o Makefile weiight.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: weiight
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Mar 27 16:42:31 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -after  QMAKE_CXXFLAGS_RELEASE\ =\  QMAKE_POST_LINK\ ~=\ s/strip/: -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lbluetooth -lcwiid -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		balanceboard.cpp \
		digits.cpp moc_mainwindow.cpp \
		moc_balanceboard.cpp \
		moc_digits.cpp
OBJECTS       = main.o \
		mainwindow.o \
		balanceboard.o \
		digits.o \
		moc_mainwindow.o \
		moc_balanceboard.o \
		moc_digits.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = weiight
DESTDIR       = 
TARGET        = weiight

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -after  QMAKE_CXXFLAGS_RELEASE\ =\  QMAKE_POST_LINK\ ~=\ s/strip/: -o Makefile src.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -after  QMAKE_CXXFLAGS_RELEASE\ =\  QMAKE_POST_LINK\ ~=\ s/strip/: -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/weiight1.0.0 || $(MKDIR) .tmp/weiight1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/weiight1.0.0/ && $(COPY_FILE) --parents mainwindow.h balanceboard.h digits.h .tmp/weiight1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp balanceboard.cpp digits.cpp .tmp/weiight1.0.0/ && (cd `dirname .tmp/weiight1.0.0` && $(TAR) weiight1.0.0.tar weiight1.0.0 && $(COMPRESS) weiight1.0.0.tar) && $(MOVE) `dirname .tmp/weiight1.0.0`/weiight1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/weiight1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_balanceboard.cpp moc_digits.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_balanceboard.cpp moc_digits.cpp
moc_mainwindow.cpp: balanceboard.h \
		digits.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_balanceboard.cpp: balanceboard.h
	/usr/bin/moc $(DEFINES) $(INCPATH) balanceboard.h -o moc_balanceboard.cpp

moc_digits.cpp: digits.h
	/usr/bin/moc $(DEFINES) $(INCPATH) digits.h -o moc_digits.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp mainwindow.h \
		balanceboard.h \
		digits.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		balanceboard.h \
		digits.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

balanceboard.o: balanceboard.cpp balanceboard.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o balanceboard.o balanceboard.cpp

digits.o: digits.cpp digits.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o digits.o digits.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_balanceboard.o: moc_balanceboard.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_balanceboard.o moc_balanceboard.cpp

moc_digits.o: moc_digits.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_digits.o moc_digits.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/alvaro/weiight/weiight.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/weiight.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_icon: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 
	-$(INSTALL_FILE) /home/alvaro/weiight/weiight.png $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/


uninstall_icon:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/weiight.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 


install:  install_target install_desktop install_icon  FORCE

uninstall: uninstall_target uninstall_desktop uninstall_icon   FORCE

FORCE:

## weiight 0.0.1-1

=== debian/changelog ===
weiight (0.0.1-1) unstable; urgency=low

  * Initial version

 -- Alvaro Manera <alblurrow@yute.com>  Wed, 04 Nov 2009 16:08:21 +0200

=== debian/control ===
Source: weiight
Section: user/other
Priority: optional
Maintainer: Alvaro Manera <alblurrow@yute.com>
Uploaders: Alvaro Manera <alblurrow@yute.com>
Build-Depends: debhelper (>= 5),  bluez, libqt4-dev, libqt4-maemo5, libbluetooth3-dev, libcwiid
Standards-Version: 3.8.2
Homepage: http://gitorious.org/weiight/weiight


Package: weiight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Connect your N900 with the Wii
   Balence Board, and check how fat are you.

## weiight 0.0.1-2

=== debian/changelog ===
weiight (0.0.1-2) unstable; urgency=low

  * Packaging fixes

 -- Alvaro Manera <alblurrow@yute.com>  Sat, 27 Mar 2010 23:08:21 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,40 @@
 
 Package: weiight
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Connect your N900 with the Wii
-   Balence Board, and check how fat are you.
+Depends: ${shlibs:Depends}, libcwiid, libbluetooth3 (>= 4.60), libc6 (>= 2.5.0-1), libgcc1 (>= 4.2.1), libqt4-core (>= 4.6.2~git20100224), libqt4-dbus (>= 4.6.2~git20100224), libqt4-gui (>= 4.6.2~git20100224), libqt4-maemo5 (>= 4.6.2~git20100224), libqt4-xml (>= 4.6.2~git20100224), libstdc++6 (>= 4.2.1)
+Description: N900 + BalanceBoard = How fat you are.
+XB-Maemo-Display-Name: Weiight
+XSBC-Bugtracker: mailto:alblurrow@yute.com
+XB-Maemo-Icon-26:
+  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI               
+  fAhkiAAAAAlwSFlzAAAA6QAAAOkBVJIUSwAAABl0RVh0U29mdHdhcmUAd3d3               
+  Lmlua3NjYXBlLm9yZ5vuPBoAAAUGSURBVGiB7ZnBb9NWHMe/7/k9O42TOm2S               
+  lrYUJCgTUQXaDkOaNPUyadJu+xN62mlIHLoDx3GaduIAJzQJcZ1224Hd0TRN               
+  TGJCGmhlUKA0pUmbpGls5/n5PQ4xhLZJiIeQQcpHeopk//Lz9+v3bP/8M9Fa               
+  40OGJi3gbRkZSJqRgaQZGUiakYGkYQDQbDY/rtfrP3qeVwBAGGM7nPMty7Kq               
+  nPPVTCbzJ+e8AmAXQBOA/w60EAAZAOMAxvf29hba7fanQohZIUQxCIKiUsom               
+  hAjHcX6fmpr6DoAgjUbj89XV1Z/L5fKRXllN00Q6ndaU0oBSKgzDCAghUikl
+  ohEC0AC07tQlOkJNT09nK5XKXlSuEEIIAUA7PyCEEEop5ZRSTggxlVIsDEOu
+  tbaEEIbrulBKHdLEGMOZM2d+m5ub+4rVarXv+4kHACEEhBAEgBmNoXEcB41G
+  o6eIt0FKifv373+RTqe/ZUKIbK8gzjnYPINm/Ys9ukfhlT30KwijM90XwzBg
+  zVtQZn+D1KPw1g8fw/M8JqU8ygzDqBwSP89x89RNXEtfQwutvskX9AIunryI
+  uT/mEATBQLEHsaYs3Fq8hSv2Fexgp2/cDGawcmIFZ/86C3+ve+mZpgnO+SrN
+  ZDL/HvzT46OPcTl9eaB4AHhAHuC8cx76ZPySvHqsikv2pYHiAaCMMlayK2gt
+  7NdSLBY3c7ncL3R8fPzXbDYrX9/5aOzR0EJcuCiPlWNI77CWWhs6VkNjI7Wx
+  b1smk1kFUKOpVOpOJpOpxVaQMKZploHOg2zbsqzBa+U9xDTNGtB9EjcS1PK/
+  ME1zB4gMEEKaycqJR3QHegJ0Z6CdoJ7YMMbAGNsEujPwLmqbdwbnHJZldQ3g
+  A5sBANowjBoQVaPpdNoslUqv9rZ5G8tYHjpbySmhWCoe2u44Dmzb7llqsDEW
+  6xiL9iLmSnMAANM0FaKKmAGA67r+w4cPXwXfnrmN6/z60MmXGkuo3qse2n78
+  +HE8ffq0ZzF3N38X163hj3GudQ6793YBAI7j0Pn5eQ50l1Bq6EzvB0RrnQMi
+  A1prK1k98QjDEL7vTwPdGfigDARBACnlFNA1YCeoJzZCCEgpjwHdJeQkKyke
+  Wmu02+0C0DFgSykzCWuKjRBiAgBoGIYfua6bS1pQXIIg6FwD9Xr963q9vu82
+  mpf5WMmcMP4KnAwnY8Vn5f5Xd8/zTgGwaLPZXDz4oCltlzCL2aESL8tlZNd6
+  9gUGcqJyAqf16aFil9QSZjf269na2jrWbDa/ZEEQHD34B3KP4EbrBp4VnkFS
+  eXD3K5zAwcSTCbi7bkz5gPhP4Kp/Fc+PPIdHvb5xaZnG9MY0Wpv737lc16W+
+  73/GKD3cXVRKwVvzMLn25ml20V/8oO9vWmu46y6y61lkMXgGezUXDMMApVSy
+  XC73k23bn7RarYFNK0IIGGOdfhFjIIQoABKAAqAJIZoQgmhorTUcxzFc1w1f
+  GlFKkUg8edmtA2BorZlSikgp8XK8iYWFhb/z+fwPRGuNarV6YXt7+5tmszmj
+  lGK2bddM06wwxqqc84plWVXDMHYppVuGYWylUqlNzvkOOr1SLzJycBw8/QY6
+  xePrgyPqh3qeVwyC4EgYhlNKqbyUcqLdbheCIChKKYu+7+d937dN02wVCoU7
+  k5OTF2zb/oe8Ns1jAPJR4vVIxPuEA6CATnO5gugEkdF34oQZGUiakYGkGRlI
+  mheKxh25HOezjQAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

APPNAME := weiight
builddir:
	  mkdir -p builddir

builddir/Makefile: builddir
	  cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	  dh_testdir
	  # Add here commands to compile the package.
	  cd builddir && $(MAKE) CXXFLAGS='$(CFLAGS)'
	  touch $@

clean:
	  dh_testdir
	  dh_testroot
	  rm -f build-stamp
	  # Add here commands to clean up after the build process.
	  rm -rf builddir
	  dh_clean
install: build
	  dh_testdir
	  dh_testroot
	  dh_clean -k
	  dh_installdirs

	  # Add here commands to install the package into debian/your_appname
	  cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	  dh_testdir
	  dh_testroot
	  dh_installdocs
	  dh_installexamples
	  dh_installman
	  dh_link
	  dh_strip --dbg-package=weiight-dbg
	  dh_compress
	  dh_fixperms
	  dh_installdeb
	  dh_shlibdeps
	  dh_gencontrol
	  dh_md5sums
	  dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
